<?PHP
////++++++++++++++++ CONFIGURACIÓN DE PARAMETROS ESTANTAR EN PLATAFORMA ++++++++++++++++////

////Conexiones y tiempos de ejecución
$VpnEn=$_GET["VPN"] or $VpnEn=$_POST["VPN"];
$LtEn=$_GET["LT"] or $LtEn=$_POST["LT"];
ini_set('max_execution_time', $LtEn);
include ("../../Conections/$VpnEn.php");
require('../fpdf.php');

$Cve_Modulo = "CMOD201506100120";

///Arrastra Variables Fijas
$UsuEn=$_POST['UsuKP'] or $UsuEn=$_GET['UsuKP'];
$TokEn=$_POST["TokenKP"] or $TokEn=$_GET["TokenKP"];
$IDSeEn=$_POST["IdDAcce"] or $IDSeEn=$_GET["IdDAcce"];
$CtaSesionEn=$_POST['CtaSKP'] or $CtaSesionEn=$_GET['CtaSKP'];
	
	/////////Identificar personalización 2
		$sqlP2 = mysql_query("select * from wms_personaliza2 where ID='1'");
		if (mysql_numrows($sqlP2)==0) echo "";
		else{
		$registroP2=mysql_fetch_array($sqlP2);
		}
		if (mysql_numrows($sqlP2)>0)
		{
		$Titulo=$registroP2["TITULO_PAGINAS"];
		}
		
	/////////Identifica si el token aun esta vigente
		$ExtAño = substr($TokEn, -28, 4);    // devuelve el año
		$ExtDia = substr($TokEn, -7, 2);    // devuelve el mes
		$ExtMes = substr($TokEn, -14, 2);    // devuelve el día
		$FechTok=$ExtDia."/".$ExtMes."/".$ExtAño;
		$FechAct=$PreTo4=date("d/m/Y");
		
		if ($FechTok<>$FechAct)
		{
			echo "<script>alert('La sesión del Token de seguridad ha caducado.\\nFavor de iniciar sesion nuevamente.');</script>";
			echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=../../LogOff_Force.php?USUkp=$UsuEn&IdDeAcc=$IDSeEn'>";
		}
		else
		{ ///Inicia IF Sesion Token
		
	/////////Identificar permisos de acceso 1
		$sqlPA1 = mysql_query("select * from tabla_usuarios where USUARION='$UsuEn'");
		if (mysql_numrows($sqlPA1)==0) 
		{
			echo "<script>alert('CODIGO: LOGSYS#00001\\nEl Usuario en sesión ha sido truncado por inexistencia.'); </script>";
			echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=../../LogIn.php'>";
		}
		else
		{ ///Inicia IF Permiso de Acceso 1
		
	/////////Identificar permisos de acceso 2
		$sqlPA2 = mysql_query("select * from wms_configurapermisosnivelmodulo where USUARIO='$UsuEn' AND CVE_MODULO='$Cve_Modulo'");
		if (mysql_numrows($sqlPA2)==0) 
		{
			echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=../../SinPermisos.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn&Cve_ModuloKP=$Cve_Modulo'>";
		}
		else
		{ ///Inicia IF Permiso de Acceso 2
	
	/////////Identificar permisos de acceso 3 - Acreditación de Sesión Activa	
		$sqlPA3 = mysql_query("select * from tabla_controlsesiones where USUARIO='$UsuEn'");
		if (mysql_numrows($sqlPA3)==0) 
		{
		echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=../../LogOff_ReLogIn.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn&' target='_parent'>";
		}
		else
		{ ///Inicia IF Permiso de Acceso 3

		
			//////HORA y FECHA/////
			$Hora=time();
			$HoraOK=date("H:i:s",$Hora);
			$Fecha=date("Y/m/d");
			
			//////Identificar la Cuenta y la Bodega
			$sqlCR1 = mysql_query("select * from wms_configura_altacuentas where NOMBRE_CUENTA='$CtaSesionEn'");
			if (mysql_numrows($sqlCR1)==0) echo "";
			else{
			$registroCR1=mysql_fetch_array($sqlCR1);
			}
			if (mysql_numrows($sqlCR1)>0)
			{
			$CveBodCR1=$registroCR1["CVE_BODEGA"];
			$CveCueCR1=$registroCR1["CVE_CUENTA"];
			}

////++++++++++++++ FIN CONFIGURACIÓN DE PARAMETROS ESTANTAR EN PLATAFORMA ++++++++++++++////

/////Arrastrando Valores
$DocSurEn=$_POST['DctoKP'] or $DocSurEn=$_GET['DctoKP'];

class MiPDF extends FPDF {

		public function Header(){
		
		
			$this -> Image ("../../../WMS_Resources/images/Logo_Gris.png" , 15 , 2 , 30 ,15);
			$this -> SetFont ( 'Arial' , 'B', '12');
			$this -> SetTextColor (51 , 51 , 51);
			$this -> Cell ( 270, 1 , '|| Tareas de Surtido ||' , 0 , 0 , 'C');
			$this -> Ln ( 2 );
			$this -> SetFont ( 'Arial' , 'I', '10');
			$this -> Cell ( 270, 20 , 'www.logsyswms.com' , 0 , 0 , 'C');
			$this -> Ln ( 4 );
			$this -> SetTextColor (137 , 136 , 200);
			$this -> SetFont ( 'Arial' , '', '10');
			$this -> Cell ( 270, 20 , '_______________________________________________________________________________________________' , 0 , 0 , 'C');
			$this -> Ln ( 3 );
			$this -> SetFont ( 'Arial' , '', '10');
			$this -> Cell ( 270, 20 , '_____________________________________________' , 0 , 0 , 'C');
			$this -> Ln ( 20 );
		}
		
	    function Footer(){
    		// Posición: a 2,0 cm del final
    		$this->SetY(-20);
    		// Arial italic 8
    		$this->SetFont('Arial','I',8);
    		// Número de página
    		$this->Cell(0,10,'© MsTechnologies - Pagina '.$this->PageNo().'/{nb}',0,0,'C');
		}
}

	///$mipdf = new MiPDF();
	$mipdf = new MiPDF('L','mm','A4');
	///$pdf=new FPDF('L','mm','A4');

	$mipdf -> AliasNbPages();
	$mipdf -> addPage();
	
//////////////////////////////////CONSULTAR LA TABLA DEL CONTRATANTE////////////////////////////////////////////
		$sql = mysql_query("select * from tabla_contratante");
		if (mysql_numrows($sql)==0) echo "";
		else{
		$registro=mysql_fetch_array($sql);
		}
		if (mysql_numrows($sql)>0)
		{
		$CNomContra=$registro["NOMBRE_FISCAL"];
		}
///////////////////////////////////////////////////////////////////////////////////////////////////////////////

//////////////////////////////////CONSULTAR LA TABLA DE DOCUMENTOS////////////////////////////////////////////
		$sql = mysql_query("select * from tabla_docsurtido WHERE CVE_CUENTA='$CveCueCR1' AND NO_DOCUMENTO='$DocSurEn'");
		if (mysql_numrows($sql)==0) 
		{
		echo "<script>alert('El Documento de Surtido que ingresaste no existe');</script>";
		echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=RedireccionDeCierre.php'>";
		}
		else
		{
		$registro=mysql_fetch_array($sql);
		}
		if (mysql_numrows($sql)>0)
		{
		$Des_C1=$registro["DESTINO"];
		$Edo_C1=$registro["EDO_DOCUMENTO"];
		$TSa_C1=$registro["TIPO_SALIDA"];
		$TSu_C1=$registro["TIPO_SURTIDO"];
		}
		
		////Detectar el nombre del destino
		$sql_ND = mysql_query("select NOMBRE from tabla_destinosclientes WHERE CVE_CUENTA='$CveCueCR1' AND CVE_DESTINO='$Des_C1'");
		if (mysql_numrows($sql_ND)==0) echo "";
		else{
		$registro_ND=mysql_fetch_array($sql_ND);
		}
		if (mysql_numrows($sql_ND)>0)
		{
		$NDest_ND=$registro_ND["NOMBRE"];
		}
		
///////////////////////////////////////////////////////////////////////////////////////////////////////////////

//////////////////////////INFORMACIÓN PRINCIPAL////////////////////////////////////////////////////////////////
	
	
	$mipdf -> SetFont ( 'Courier' , '', '8');
	$mipdf -> SetTextColor (51 , 51 , 51);
	$mipdf -> SetFillColor ( 137 , 163 , 200 );
	$mipdf -> Cell ( 30 , 3 , 'NOMBRE 3PL:', 1 , 0 , 'L' , true );
	$mipdf -> SetFillColor ( 255 , 255 , 255 );
	$mipdf -> Cell ( 90 , 3 , $CNomContra, 1 , 0 , 'L' , true );
	$mipdf -> Ln ( 3 );////////////////////////////////////////////////////////
	$mipdf -> SetFillColor ( 137 , 163 , 200 );
	$mipdf -> Cell ( 30 , 3 , 'CUENTA:', 1 , 0 , 'L' , true );
	$mipdf -> SetFillColor ( 255 , 255 , 255 );
	$mipdf -> Cell ( 90 , 3 , $CtaSesionEn, 1 , 0 , 'L' , true );
	$mipdf -> Ln ( 3 );////////////////////////////////////////////////////////
	$mipdf -> SetFillColor ( 137 , 163 , 200 );
	$mipdf -> Cell ( 30 , 3 , '# DOCUMENTO:', 1 , 0 , 'L' , true );
	$mipdf -> SetFillColor ( 255 , 255 , 255 );
	$mipdf -> Cell ( 90 , 3 , $DocSurEn, 1 , 0 , 'L' , true );
	$mipdf -> Ln ( 3 );////////////////////////////////////////////////////////
	$mipdf -> SetFillColor ( 137 , 163 , 200 );
	$mipdf -> Cell ( 30 , 3 , 'TIPO SALIDA:', 1 , 0 , 'L' , true );
	$mipdf -> SetFillColor ( 255 , 255 , 255 );
	$mipdf -> Cell ( 90 , 3 , $TSa_C1, 1 , 0 , 'L' , true );
	$mipdf -> Ln ( 3 );////////////////////////////////////////////////////////
	$mipdf -> SetFillColor ( 137 , 163 , 200 );
	$mipdf -> Cell ( 30 , 3 , 'TIPO SURTIDO:', 1 , 0 , 'L' , true );
	$mipdf -> SetFillColor ( 255 , 255 , 255 );
	$mipdf -> Cell ( 90 , 3 , $TSu_C1, 1 , 0 , 'L' , true );
	$mipdf -> Ln ( 3 );////////////////////////////////////////////////////////
	$mipdf -> SetFillColor ( 137 , 163 , 200 );
	$mipdf -> Cell ( 30 , 3 ,'DESTINO:', 1 , 0 , 'L' , true );
	$mipdf -> SetFillColor ( 255 , 255 , 255 );
	$mipdf -> Cell ( 90 , 3 , $Des_C1, 1 , 0 , 'L' , true );
	$mipdf -> Ln ( 3 );////////////////////////////////////////////////////////
	$mipdf -> SetFillColor ( 137 , 163 , 200 );
	$mipdf -> Cell ( 30 , 3 ,'', 1 , 0 , 'L' , true );
	$mipdf -> SetFillColor ( 255 , 255 , 255 );
	$mipdf -> Cell ( 90 , 3 , $NDest_ND, 1 , 0 , 'L' , true );
	
		
//////////////////////////FIN INFORMACIÓN PRINCIPAL///////////////////////////////////////////////////////////			

	$mipdf -> Ln ( 10 );
	$mipdf -> SetFont ( 'Courier' , 'B', '7');
	$mipdf -> SetTextColor (51 , 51 , 51);
	$mipdf -> SetFillColor ( 137 , 163 , 200 );

	$mipdf -> Cell ( 6 , 6 , 'ID', 1 , 0 , 'C' , true );
	$mipdf -> Cell ( 23 , 6 , '#TAREA', 1 , 0 , 'C' , true );
	$mipdf -> Cell ( 26 , 6 , '#PALLET', 1 , 0 , 'C' , true );
	$mipdf -> Cell ( 28 , 6 , 'SKU', 1 , 0 , 'C' , true );
	$mipdf -> Cell ( 60 , 6 , 'DESCRIPCIÓN', 1 , 0 , 'C' , true );
	$mipdf -> Cell ( 16 , 6 , 'LOTE', 1 , 0 , 'C' , true );
	$mipdf -> Cell ( 14 , 6 , 'LOTE-PR', 1 , 0 , 'C' , true );
	$mipdf -> Cell ( 13 , 6 , 'CxSURTIR', 1 , 0 , 'C' , true );
	$mipdf -> Cell ( 12 , 6 , 'CxTAREA', 1 , 0 , 'C' , true );
	$mipdf -> Cell ( 15 , 6 , 'CSURTIDA', 1 , 0 , 'C' , true );
	$mipdf -> Cell ( 16 , 6 , 'UBICACIÓN', 1 , 0 , 'C' , true );
	$mipdf -> Cell ( 16 , 6 , 'U.ALTERNA', 1 , 0 , 'C' , true );
	$mipdf -> Cell ( 15 , 6 , 'C.ALTERNA', 1 , 0 , 'C' , true );
	$mipdf -> Cell ( 26 , 6 , 'ETIQUETA MASTER', 1 , 0 , 'C' , true );	
	$mipdf -> Ln ( 6 );


$consulta = mysql_query ( "Select NO_TAREA,NO_PALLET,SKU,LOTE,LOTEPRODU,CANT_XSURTIR,CANT_XTAREA,UBICACION FROM tabla_tareas WHERE CVE_CUENTA='$CveCueCR1' AND NO_DOCUMENTO='$DocSurEn' ORDER BY PRIORIDAD ASC" );

$ID = "0";
while ( $datos = mysql_fetch_array( $consulta ) )
{
	$ID = $ID + 1;
	$TAREA = $datos [ 'NO_TAREA' ];
	$PALLET = $datos [ 'NO_PALLET' ];
	$SKU = $datos [ 'SKU' ];
	$LOTE = $datos [ 'LOTE' ];
	$LOTEPR = $datos [ 'LOTEPRODU' ];
	$CxSURTIR = $datos [ 'CANT_XSURTIR' ];
	$CxTAREA = $datos [ 'CANT_XTAREA' ];
	$UBICA = $datos [ 'UBICACION' ];
	
		////Identifica Descripción
		$sql_ID = mysql_query("select DESCRIPCION from tabla_altaproducto WHERE CUENTA='$CveCueCR1' AND SKU='$SKU'");
		if (mysql_numrows($sql_ID)==0) echo "";
		else{
		$registro_ID=mysql_fetch_array($sql_ID);
		}
		if (mysql_numrows($sql_ID)>0)
		{
		$Des_ID=$registro_ID["DESCRIPCION"];
		}
	
	$mipdf -> SetFont ( 'Courier' , '', '7');
	$mipdf -> SetTextColor (51 , 51 , 51 );
	$mipdf -> SetFillColor ( 255 , 255 , 255 );
	
	$mipdf -> Cell ( 6 , 6 , $ID , 1 , 0 , 'R' , true );
	$mipdf -> Cell ( 23 , 6 , $TAREA , 1 , 0 , 'L' , true );
	$mipdf -> Cell ( 26 , 6 , $PALLET , 1 , 0 , 'L' , true );
	$mipdf -> Cell ( 28 , 6 , $SKU , 1 , 0 , 'L' , true );
	$mipdf -> Cell ( 60 , 6 , $Des_ID , 1 , 0 , 'L' , true );
	$mipdf -> Cell ( 16 , 6 , $LOTE , 1 , 0 , 'L' , true );
	$mipdf -> Cell ( 14 , 6 , $LOTEPR , 1 , 0 , 'L' , true );
	$mipdf -> Cell ( 13 , 6 , $CxSURTIR , 1 , 0 , 'R' , true );
	$mipdf -> Cell ( 12 , 6 , $CxTAREA , 1 , 0 , 'R' , true );
	$mipdf -> Cell ( 15 , 6 , '' , 1 , 0 , 'C' , true );
	$mipdf -> Cell ( 16 , 6 , $UBICA , 1 , 0 , 'L' , true );
	$mipdf -> Cell ( 16 , 6 , '' , 1 , 0 , 'C' , true );
	$mipdf -> Cell ( 15 , 6 , '' , 1 , 0 , 'C' , true );
	$mipdf -> Cell ( 26 , 6 , '' , 1 , 0 , 'C' , true );
	$mipdf -> Ln ( 6 );
}
		/////////////////////CONSULTA PARA SUMAR EL TOTAL DE PIEZAS POR RECIBIR/////////////////////////////////////////////////////
		$sqlSUMA = "SELECT SUM(CANT_XSURTIR) as ObtCant FROM (SELECT DISTINCT (SKU),CANT_XSURTIR FROM tabla_tareas WHERE CVE_CUENTA='$CveCueCR1' AND NO_DOCUMENTO='$DocSurEn')as ObtCant2";
		$resSUMA = mysql_query($sqlSUMA); 
		$PrePiezas = mysql_fetch_assoc($resSUMA);
		$TotPiezas = "T:". $PrePiezas ['ObtCant'];
		
		////Sumar el total de Cantidad x Tareas
		$sqlSUMA2 = "SELECT SUM(CANT_XTAREA) as ObtCant2 FROM tabla_tareas WHERE CVE_CUENTA='$CveCueCR1' AND NO_DOCUMENTO='$DocSurEn'";
		$resSUMA2 = mysql_query($sqlSUMA2); 
		$PrePiezas2 = mysql_fetch_assoc($resSUMA2);
		$TotPiezas2 = "T:". $PrePiezas2 ['ObtCant2']; 

	$mipdf -> Ln ( 0 );
	$mipdf -> SetFont ( 'Courier' , 'B', '8');
	$mipdf -> SetFillColor ( 189 , 207 , 233 );
	$mipdf -> SetTextColor (51 , 51 , 51);
	$TDC= "Total: ".$ID;
	$mipdf -> Cell ( 6 , 5 , '' , 0 , 0 , 'C' , true );
	$mipdf -> Cell ( 23 , 5 , $TDC, 0 , 0 , 'C' , true );
	$mipdf -> Cell ( 26 , 5 , '' , 0 , 0 , 'L' , true );
	$mipdf -> Cell ( 28 , 5 , '' , 0 , 0 , 'L' , true );
	$mipdf -> Cell ( 60 , 5 , '' , 0 , 0 , 'L' , true );
	$mipdf -> Cell ( 16 , 5 , '' , 0 , 0 , 'C' , true );
	$mipdf -> Cell ( 14 , 5 , '' , 0 , 0 , 'C' , true );
	$mipdf -> Cell ( 13 , 5 , $TotPiezas , 0 , 0 , 'C' , true );
	$mipdf -> Cell ( 12 , 5 , $TotPiezas2 , 0 , 0 , 'C' , true );
	$mipdf -> Cell ( 15 , 5 , '' , 0 , 0 , 'C' , true );
	$mipdf -> Cell ( 16 , 5 , '' , 0 , 0 , 'C' , true );
	$mipdf -> Cell ( 16 , 5 , '' , 0 , 0 , 'C' , true );
	$mipdf -> Cell ( 15 , 5 , '' , 0 , 0 , 'C' , true );
	$mipdf -> Cell ( 26 , 5 , '' , 0 , 0 , 'C' , true );

//////////////////////IMPRIME EL AREA DE FIRMAS///////////////////////////////////////////////////////////////////////////
	$mipdf -> Ln ( 25 );
	$mipdf -> SetFont ( 'Courier' , 'B', '8');
	$mipdf -> SetFillColor ( 255 , 255 , 255 );
	$mipdf -> SetTextColor (51 , 51 , 51);
	$mipdf -> Cell ( 57 , 3 , 'EMISOR DE DOCUMENTO' , 1 , 0 , 'C' , true );
	$mipdf -> Cell ( 57 , 3 , 'PICKER', 1 , 0 , 'C' , true );
	$mipdf -> Cell ( 57 , 3 , 'SUPERVISOR' , 1 , 0 , 'C' , true );
	$mipdf -> Cell ( 57 , 3 , 'RECEPTOR DE DOCUMENTO' , 1 , 0 , 'C' , true );
	
	$mipdf -> SetTextColor (0 , 0 , 0);
	
$mipdf -> Output();

?>
<?PHP
} ///Termina IF Permiso de Acceso 3
} ///Termina IF Permiso de Acceso 2
} ///Termina IF Permiso de Acceso 1
} ///Termina IF Sesion del Token
?>